Name: lbdb
Version: 0.35.1
Release: alt1

Summary: The Little Brother's Database
License: GPL
Group: Databases
Url: http://www.spinnaker.de/lbdb

Source: http://www.spinnaker.de/debian/lbdb_%version.tar.gz
Patch: %name-sample.lbdbrc.patch
Patch1: %name-muttalias.patch
Patch2: %name-0.27-alt-cyrrecode.patch

# Automatically added by buildreq on Thu Sep 07 2006
BuildRequires: abook finger gnupg perl-ldap perl-p5-Palm

# ... not detectable by buildreq:
BuildRequires: evolution
# We prefer not to depend on mawk...
BuildConflicts: mawk


%description
This package was inspired by the Big Brother Database package available for
various Emacs mailers, and by Brandon Long's "external query" patch for the
Mutt mail user agent. (Note that this patch has been incorporated into the
main-line mutt versions as of mutt 0.93.)

The package doesn't use any formal database libraries or languages,
although it should be quite easy to extend it to use, e.g., an installed
PostgreSQL server as it's back end.

%prep
%setup -q
%patch -p1
%patch1 -p1
#patch2 -p1

%build
# Evolution really should provide symlink /usr/bin/evolution-addressbook-export
export EVOLUTION_ADDRESSBOOK_EXPORT=/usr/lib/evolution/2.8/evolution-addressbook-export
%configure --libdir=%_libdir/lbdb
%make_build

%install
%makeinstall libdir=%buildroot/%_libdir/lbdb

%files
%doc README sample.lbdbrc
%config(noreplace) %_sysconfdir/*
%_bindir/*
%_libdir/lbdb/
%_man1dir/*

%changelog
* Fri Jun 01 2007 Victor Forsyuk <force@altlinux.org> 0.35.1-alt1
- 0.35.1

* Tue Feb 06 2007 Victor Forsyuk <force@altlinux.org> 0.34-alt2
- Rebuild to work with evolution 2.8.x.

* Wed Dec 13 2006 Victor Forsyuk <force@altlinux.org> 0.34-alt1
- 0.34

* Tue Oct 24 2006 Victor Forsyuk <force@altlinux.org> 0.33-alt1
- 0.33

* Thu Sep 07 2006 Victor Forsyuk <force@altlinux.ru> 0.32-alt1
- 0.32

* Tue Apr 11 2006 Victor Forsyuk <force@altlinux.ru> 0.31.1-alt1
- 0.31.1
- Fix evolution addressbook export to work with evolution 2.6.x.

* Mon Oct 31 2005 Victor Forsyuk <force@altlinux.ru> 0.31-alt1
- 0.31
- Change mawk to gawk.
- Add build with abook and evolution.

* Wed Oct 19 2005 Michael Shigorin <mike@altlinux.org> 0.30-alt2
- one-byter to fix #5619 (rather cosmetic :)

* Mon May 02 2005 Michael Shigorin <mike@altlinux.ru> 0.30-alt1
- 0.30
- patch2 (palm) disabled -- doesn't apply, got no update

* Thu Sep 25 2003 Michael Shigorin <mike@altlinux.ru> 0.27-alt4
- updated build requires
- for 0.28: recode patch port pending

* Mon Jul 07 2003 Michael Shigorin <mike@altlinux.ru> 0.27-alt3
- updated package requires (perl shift)
- removed COPYING from %%doc (license stated in package header)

* Wed May 14 2003 Michael Shigorin <mike@altlinux.ru> 0.27-alt2
- added missing system-wide configuration files (thanks abr@)
- added cyrillic recoding, based on JPilot preferences
  (done by Andrey Brindeew <abr@altlinux.ru>)

* Sat Mar 22 2003 Michael Shigorin <mike@altlinux.ru> 0.27-alt1
- 0.27

* Mon Oct 14 2002 Michael Shigorin <mike@altlinux.ru> 0.26-alt1.1
- built with gcc3.2
- updated dependencies

* Tue Feb 12 2002 Michael Shigorin <mike@altlinux.ru> 0.26-alt1
- new version
- uk_UA description added
  (thanks to Volodymyr M. Lisivka <lvm@mystery.lviv.net>)

* Tue Jan 29 2002 Michael Shigorin <mike@altlinux.ru> 0.25.2-alt2
- alt2
- spec cleanup (clashed with filesystem package)
- files moved from default %prefix/lib to %_libdir/%name

* Sun Oct 21 2001 Michael Shigorin <mike@altlinux.ru> 0.25.2-alt1
- alt1
- spec cleanup
- no more build logs in package
- sample ~/.lbdbrc

* Sat Dec 30 2000 Rob Payne <rnspayne@adelphia.net>
- Changed to fit version 0.22
- Change installation process to include RPM_BUILD_ROOT
- Removed auto-generated files list that did not take into account RPM
  4's automatic compression of the man pages *after* the
  auto-generation was running.
- Removed the empty post, postun, preun scripts.

* Mon Apr 10 2000 Horms <horms@vergenet.net>
- created for version 0.18.5
